| Classes - Annotated - Tree - Functions - Home - Structure

# QGListIterator Class Reference

The QGListIterator class is an internal class for implementing QListIterator. More...

`#include <qglist.h>`

Inherited by QListIterator.

List of all member functions.

## Protected Members

- QGListIterator ( const QGList & ) (internal)
- QGListIterator ( const QGListIterator & ) (internal)
- QGListIterator& operator= ( const QGListIterator & ) (internal)
- ~QGListIterator () (internal)
- bool atFirst () const (internal)
- bool atLast () const (internal)
- QCollection::Item toFirst () (internal)
- QCollection::Item toLast () (internal)
- QCollection::Item get () const (internal)
- QCollection::Item operator ()() (internal)
- QCollection::Item operator++ () (internal)
- QCollection::Item operator+= ( uint ) (internal)
- QCollection::Item operator-- () (internal)
- QCollection::Item operator-= ( uint ) (internal)

## Detailed Description

The QGListIterator class is an internal class for implementing QListIterator.

QGListIterator is a strictly internal class that does the heavy work for QListIterator.

## Member Function Documentation

### QGListIterator::QGListIterator ( const QGList & l ) `[protected]`

For internal use only.

### QGListIterator::QGListIterator ( const QGListIterator & it ) `[protected]`

For internal use only.

### QGListIterator::~QGListIterator () `[protected]`

For internal use only.

### bool QGListIterator::atFirst () const `[protected]`

For internal use only.

### bool QGListIterator::atLast () const `[protected]`

For internal use only.

### QCollection::Item QGListIterator::get() const `[protected]`

For internal use only.

### QCollection::Item QGListIterator::operator()() `[protected]`

For internal use only.

### QCollection::Item QGListIterator::operator++() `[protected]`

For internal use only.

### QCollection::Item QGListIterator::operator+=( uint jumps ) `[protected]`

For internal use only.

### QCollection::Item QGListIterator::operator--() `[protected]`

For internal use only.

### QCollection::Item QGListIterator::operator-=( uint jumps ) `[protected]`

For internal use only.

### QGListIterator & QGListIterator::operator= ( const QGListIterator & it ) `[protected]`

For internal use only.

### QCollection::Item QGListIterator::toFirst() `[protected]`

For internal use only.

### QCollection::Item QGListIterator::toLast() `[protected]`

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.